summaryrefslogtreecommitdiff
path: root/eclass/toolchain.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-05-08 23:39:55 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-05-08 23:39:55 +0100
commit2c359e29620429f94a60fc1e832048e54ee41eb5 (patch)
tree3a24152899725be0796179577e84caf957a80ce3 /eclass/toolchain.eclass
parentd6a3ca89e16356791af128f18ca5d5aeaf1323e0 (diff)
gentoo auto-resync : 08:05:2023 - 23:39:55
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass41
1 files changed, 10 insertions, 31 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 16ce534d3465..a99a5cadac1d 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -731,12 +731,11 @@ toolchain_src_prepare() {
|| eerror "Please file a bug about this"
eend $?
done
- # bug #215828
- sed -i 's|A-Za-z0-9|[:alnum:]|g' "${S}"/gcc/*.awk || die
- # Prevent new texinfo from breaking old versions (see #198182, bug #464008)
- einfo "Remove texinfo (bug #198182, bug #464008)"
- eapply "${FILESDIR}"/gcc-configure-texinfo.patch
+ # bug #215828
+ if ! tc_version_is_at_least 4.6.0 ; then
+ sed -i 's|A-Za-z0-9|[:alnum:]|g' "${S}"/gcc/*.awk || die
+ fi
if ! use prefix-guest && [[ -n ${EPREFIX} ]] ; then
einfo "Prefixifying dynamic linkers..."
@@ -1562,21 +1561,11 @@ toolchain_src_configure() {
)
fi
- if [[ ${PV} != *_p* && -f "${S}"/gcc/doc/gcc.info ]] ; then
- # Disable gcc info regeneration -- it ships with generated info pages
- # already. Our custom version/urls/etc... trigger it. bug #464008
- export gcc_cv_prog_makeinfo_modern=no
- else
- # Allow a fallback so we don't accidentally install no docs
- # bug #834845
- ewarn "No pre-generated info pages in tarball. Allowing regeneration with texinfo..."
-
- if [[ ${PV} == *_p* && -f "${S}"/gcc/doc/gcc.info ]] ; then
- # Safeguard against https://gcc.gnu.org/bugzilla/show_bug.cgi?id=106899 being fixed
- # without corresponding ebuild changes.
- eqawarn "Snapshot release with pre-generated info pages found!"
- eqawarn "The BDEPEND in the ebuild should be updated to drop texinfo."
- fi
+ if [[ ${PV} == *_p* && -f "${S}"/gcc/doc/gcc.info ]] ; then
+ # Safeguard against https://gcc.gnu.org/bugzilla/show_bug.cgi?id=106899 being fixed
+ # without corresponding ebuild changes.
+ eqawarn "Snapshot release with pre-generated info pages found!"
+ eqawarn "The BDEPEND in the ebuild should be updated to drop texinfo."
fi
# Do not let the X detection get in our way. We know things can be found
@@ -1905,7 +1894,7 @@ toolchain_src_compile() {
touch "${S}"/gcc/c-gperf.h || die
# Do not make manpages if we do not have perl ...
- [[ ! -x /usr/bin/perl ]] \
+ [[ ! -x "${BROOT}"/usr/bin/perl ]] \
&& find "${WORKDIR}"/build -name '*.[17]' -exec touch {} +
# To compile ada library standard files special compiler options are passed
@@ -2095,16 +2084,6 @@ toolchain_src_install() {
# Don't allow symlinks in private gcc include dir as this can break the build
find gcc/include*/ -type l -delete || die
- # Copy over the info pages. We disabled their generation earlier, but the
- # build system only expects to install out of the build dir, not the source. bug #464008
- mkdir -p gcc/doc || die
- local x=
- for x in "${S}"/gcc/doc/*.info* ; do
- if [[ -f ${x} ]] ; then
- cp "${x}" gcc/doc/ || die
- fi
- done
-
# Re-enable fixincludes for >= GCC 13
# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=107128
if [[ ${GCCMAJOR} -lt 13 ]] ; then